2

I am trying to install latest R package on Debian Stable (Buster) following instructions on this page: https://cloud.r-project.org/

I added following to /etc/apt/sources.list:

deb https://cran.csiro.au/bin/linux/debian buster-cran35/

However, when I run sudo apt-get update, I get following error:

$ sudo apt-get update
Hit:1 http://deb.debian.org/debian buster InRelease                   
Hit:2 http://deb.debian.org/debian-security buster/updates InRelease  
Hit:3 http://deb.debian.org/debian buster-updates InRelease          
Hit:4 http://deb.debian.org/debian buster-backports InRelease        
Get:5 https://cran.csiro.au/bin/linux/debian buster-cran35/ InRelease [4,375 B]
Err:5 https://cran.csiro.au/bin/linux/debian buster-cran35/ InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY FCAE2A0E115C3D8A
Reading package lists... Done
W: GPG error: https://cran.csiro.au/bin/linux/debian buster-cran35/ InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY FCAE2A0E115C3D8A
E: The repository 'https://cran.csiro.au/bin/linux/debian buster-cran35/ InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

I cannot get rid of this GPG error despite following attempts:

sudo apt-get install debian-keyring

sudo launchpad-getkeys

sudo aptitude install debian-archive-keyring

How can I solve this error?

0

1 Answer 1

1

You need to import the archive key, using the id given in the error message (assuming you trust the repository):

apt-key adv --keyserver keys.gnupg.net --recv-key FCAE2A0E115C3D8A
0

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .